# Solana Architecture

- [Introduction](introduction.md)

- [Terminology](terminology.md)

- [Getting Started](getting-started.md)

- [Programming Model](programs.md)

- [A Solana Cluster](cluster.md)
  - [Synchronization](synchronization.md)
    - [Introduction to VDFs](vdf.md)
    - [Proof of History](poh.md)
  - [Ledger Broadcasting](avalanche.md)
  - [Ledger Replication](storage.md)
  - [Leader Rotation](leader-scheduler.md)

- [Anatomy of a Fullnode](fullnode.md)
  - [TPU](tpu.md)
  - [TVU](tvu.md)
  - [NCP](ncp.md)
  - [JSON RPC Service](jsonrpc-service.md)
  - [The Runtime](runtime.md)

## Appendix

- [Appendix](appendix.md)
  - [JSON RPC API](jsonrpc-api.md)
  - [solana-wallet CLI](wallet.md)

